Enhance the safety, reliability, and performance of your classic car or truck with a front disc brake conversion kit from LEED Brakes. Designed for seamless drum-to-disc brake upgrades, our disc brake kits improve braking power, heat dissipation, and overall control.
Whether you're restoring a classic muscle car, upgrading your daily driver, or improving your hot rod’s braking system, we offer a wide range of disc brake conversion kits tailored for Ford, GM, and Mopar vehicles.
Why Convert Drum Brakes to Disc Brakes?
Many classic cars were originally equipped with drum brakes, which tend to fade under heavy use and require frequent adjustments. Converting to disc brakes provides:
Stronger Stopping Power – Improved braking efficiency and shorter stopping distances
Disc Brake Calipers & Caliper Kit Upgrades
Replace your current brake caliper or upgrade your classic car to a MaxGrip Lite Aluminum Caliper kit from LEED Brakes! Browse our brake caliper upgrades below.
Front Disc Brake Conversion Kits - Spindle Mount Brake Kits
Spindle Mount Front Disc Brake Kits include everything you need to mount front disc brakes to your vehicle minus the master...More Details »
Manual Front Disc Brake Conversion Kits
LEED Brakes' manual front disc brake conversion kits include everything needed to upgrade your vehicle from drum brakes to disc brakes, featuring a...More Details »
Power Front Disc Brake Conversions
LEED Brakes' Power Front Disc Brake Conversion Kits provide a comprehensive solution for upgrading your vehicle's braking system with front disc brakes....More Details »
LEED Brakes offers a variety of Front Disc Brake Upgrade Kit Conversions for your 1964-73 Ford Mustang, Fairlane & Cougar, 1957-68 Ford Full Size Car, 1962-74 GM A, F & X Body...More Details »
Front Disc Brake Conversion Kits Featured Products
Manual Front Disc Brake Conversion Kit with Drilled Rotors & Red Calipers for 1962–1969 Ford Fairlane, 1963–1969 Falcon & Ranchero, Mercury Comet & 1964–1969 CycloneNew887753641670
Upgrade your classic Ford or Mercury from factory drum brakes to manual front disc brakes with this LEED Brakes conversion kit featuring drilled rotors and red calipers. The kit includes everythin...
Description: Upgrade your classic Ford or Mercury from factory drum brakes to manual front disc brakes with this LEED Brakes conversion kit featuring drilled rotors and red calipers. The kit includes...More Details »
Item #: RFC0001-4C7X
Condition: New
Price: $1,509.99
Manual Front Disc Brake Conversion Kit with Drilled Rotors and Red Calipers for 1957-68 Full-Size FordNew887753640161
Upgrade your 1957-1968 full-size Ford from front drum to manual disc brakes with this complete LEED Brakes conversion kit. Featuring red powder-coated factory-style 4-piston calipers and MaxGrip X...
Description: Upgrade your 1957-1968 full-size Ford from front drum to manual disc brakes with this complete LEED Brakes conversion kit. Featuring red powder-coated factory-style 4-piston calipers and MaxGrip...More Details »
Item #: RFC0025-405X
Condition: New
Price: $1,714.99
Manual Front Disc Brake Conversion Kit with MaxGrip Lite 4-Piston Calipers & MaxGrip XDS Rotors for 1967–1969 Ford & MercuryNew887753642264
Upgrade your classic 1967–1969 Ford or Mercury from front drum brakes to manual disc brakes with this LEED Brakes conversion kit featuring MaxGrip Lite aluminum 4-piston calipers and MaxGrip XDS...
Description: Upgrade your classic 1967–1969 Ford or Mercury from front drum brakes to manual disc brakes with this LEED Brakes conversion kit featuring MaxGrip Lite aluminum 4-piston calipers and MaxGrip XDS...More Details »
Item #: FC0006-405X
Condition: New
Price: $1,724.99
Manual Front Disc Brake Conversion Kit with Pre-Bent Brake Lines for 1964.5-1966 Ford MustangNew887753629357
Convert your 1964.5-1966 Ford Mustang from drum to manual front disc brakes with this factory style 4-piston conversion kit from LEED Brakes. Designed to mount to original drum brake spindles, this...
Description: Convert your 1964.5-1966 Ford Mustang from drum to manual front disc brakes with this factory style 4-piston conversion kit from LEED Brakes. Designed to mount to original drum brake spindles, this...More Details »
Item #: FC0001-405LK
Condition: New
Price: $1,399.99
Manual Front Disc Brake Conversion Kit with 4-Piston Calipers for 1964.5-1966 Ford MustangNew887753629340
Add the safety, reliability, and performance of disc brakes to your 1964.5-1966 Mustang with this drum-to-disc conversion kit. This kit includes everything you need to mount factory-style four-pist...
Description: Add the safety, reliability, and performance of disc brakes to your 1964.5-1966 Mustang with this drum-to-disc conversion kit. This kit includes everything you need to mount factory-style...More Details »
Item #: FC0001-405
Condition: New
Price: $1,249.99
Manual Front Disc Brake Conversion with 4-Piston Calipers and MaxGrip XDS Rotors for 1957-1968 Full-Size FordNew887753629845
Upgrade your 1957–1968 Full-Size Ford with the safety, reliability, and performance of a complete front drum-to-disc brake conversion kit. This factory-style 4-piston manual disc brake conversio...
Description: Upgrade your 1957–1968 Full-Size Ford with the safety, reliability, and performance of a complete front drum-to-disc brake conversion kit. This factory-style 4-piston manual disc brake...More Details »
Item #: FC0025-405X
Condition: New
Price: $1,639.99
Manual Front Disc Brake Conversion with 4-Piston Calipers and MaxGrip XDS Rotors for 1964.5-66 Ford MustangNew887753629364
Convert your 1964.5-1966 Ford Mustang from drum to manual front disc brakes with this 4-piston conversion kit from LEED Brakes featuring MaxGrip XDS cross drilled and slotted rotors. Designed to mo...
Description: Convert your 1964.5-1966 Ford Mustang from drum to manual front disc brakes with this 4-piston conversion kit from LEED Brakes featuring MaxGrip XDS cross drilled and slotted rotors. Designed to...More Details »
Item #: FC0001-405X
Condition: New
Price: $1,389.99
Manual Front Disc Brake Kit with 2" Drop Spindles, Drilled and Slotted Rotors, Black Powder-Coated Calipers, Cast Iron Master Cylinder, Disc/Disc for GM AFXNew887753627971
Upgrade the safety, reliability, and stopping performance of your 1964–1974 GM A-Body, 1967–1969 F-Body, or 1968–1974 X-Body vehicle with this complete Manual Front Disc Brake Conversion Kit...
Description: Upgrade the safety, reliability, and stopping performance of your 1964–1974 GM A-Body, 1967–1969 F-Body, or 1968–1974 X-Body vehicle with this complete Manual Front Disc Brake Conversion Kit...More Details »
Item #: BFC1003-3A3X
Condition: New
Price: $1,284.99
Manual Front Disc Brake Kit with 2" Drop Spindles, Drilled and Slotted Rotors, Black Powder-Coated Calipers, Cast Iron Master Cylinder, Disc/Drum for GM AFXNew887753627964
Upgrade the safety, reliability, and stopping performance of your 1964–1974 GM A-Body, 1967–1969 F-Body, or 1968–1974 X-Body vehicle with this complete Manual Front Disc Brake Conversion Kit...
Description: Upgrade the safety, reliability, and stopping performance of your 1964–1974 GM A-Body, 1967–1969 F-Body, or 1968–1974 X-Body vehicle with this complete Manual Front Disc Brake Conversion Kit...More Details »
Item #: BFC1003-3A1X
Condition: New
Price: $1,284.99
Manual Front Disc Brake Kit with 2" Drop Spindles, Drilled and Slotted Rotors, Black Powder-Coated Calipers, Chrome Master Cylinder, Disc/Disc for GM AFX BodiesNew887753628046
Upgrade your classic vehicle with the safety, reliability, and performance of a complete front drum-to-disc brake conversion. This kit includes everything required to mount black powder-coated sing...
Description: Upgrade your classic vehicle with the safety, reliability, and performance of a complete front drum-to-disc brake conversion. This kit includes everything required to mount black powder-coated...More Details »
Item #: BFC1003-FA3X
Condition: New
Price: $1,344.99
Manual Front Disc Brake Kit with 2" Drop Spindles, Drilled and Slotted Rotors, Red Powder-Coated Calipers, Cast Iron Master Cylinder, and Adjustable Proportioning Valve for GM AFX BodyNew887753637567
Add the safety, reliability, and performance of disc brakes to your 1964–1974 GM A, F, or X-Body vehicle with this drum to disc brake conversion kit from LEED Brakes. This A, F, X-Body front dis...
Description: Add the safety, reliability, and performance of disc brakes to your 1964–1974 GM A, F, or X-Body vehicle with this drum to disc brake conversion kit from LEED Brakes. This A, F, X-Body front...More Details »
Item #: RFC1003-305X
Condition: New
Price: $1,213.99
Manual Front Disc Brake Kit with 2" Drop Spindles, Drilled and Slotted Rotors, Red Powder-Coated Calipers, Cast Iron Master Cylinder, Disc/Disc for GM AFX BodyNew887753637581
Upgrade the safety, reliability, and stopping performance of your 1964–1974 GM A-Body, 1967–1969 F-Body, or 1968–1974 X-Body vehicle with this complete Manual Front Disc Brake Conversion Kit...
Description: Upgrade the safety, reliability, and stopping performance of your 1964–1974 GM A-Body, 1967–1969 F-Body, or 1968–1974 X-Body vehicle with this complete Manual Front Disc Brake Conversion Kit...More Details »
Item #: RFC1003-3A3X
Condition: New
Price: $1,284.99
Manual Front Disc Brake Kit with Drilled & Slotted Rotors, Black Calipers, and Adjustable Proportioning Valve for 1962-1967 Chevy II & NovaNew887753628114
Upgrade your 1962–1967 Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This manual front disc brake con...
Description: Upgrade your 1962–1967 Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This manual front disc brake...More Details »
Item #: BFC1006-305X
Condition: New
Price: $1,114.99
Manual Front Disc Brake Kit with Drilled & Slotted Rotors, Red Calipers, and Adjustable Proportioning Valve for 1962-1967 Chevy II & NovaNew887753637727
Upgrade your 1962–1967 Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This manual front disc brake con...
Description: Upgrade your 1962–1967 Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This manual front disc brake...More Details »
Item #: RFC1006-305X
Condition: New
Price: $1,114.99
Manual Front Disc Brake Kit with Drilled and Slotted Rotors, Black Powder-Coated Calipers, and Adjustable Proportioning Valve for GM AFXNew887753627773
Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete manual front drum-to-disc brake conversion from LEED Brakes. This kit includes everything required to mount b...
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete manual front drum-to-disc brake conversion from LEED Brakes. This kit includes everything required to mount...More Details »
Item #: BFC1002-305X
Condition: New
Price: $1,114.99
Manual Front Disc Brake Kit with Drilled and Slotted Rotors, Black Powder-Coated Calipers, and Disc/Drum for GM AFX BodiesNew887753627865
Add the safety, reliability, and performance of modern disc brakes to your vehicle with this LEED Brakes drum-to-disc front brake conversion kit. This manual front disc brake kit includes everythi...
Description: Add the safety, reliability, and performance of modern disc brakes to your vehicle with this LEED Brakes drum-to-disc front brake conversion kit. This manual front disc brake kit includes...More Details »
Item #: BFC1002-FA1X
Condition: New
Price: $1,214.99
Manual Front Disc Brake Kit with Drilled and Slotted Rotors, Black Powder-Coated Calipers, Chrome Master Cylinder, and Adjustable Proportioning Valve for GM AFXNew887753627827
Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete manual drum-to-disc brake conversion from LEED Brakes. This manual front disc brake kit includes everything r...
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete manual drum-to-disc brake conversion from LEED Brakes. This manual front disc brake kit includes everything...More Details »
Item #: BFC1002-F05X
Condition: New
Price: $1,164.99
Manual Front Disc Brake Kit with Drilled and Slotted Rotors, Black Powder-Coated Calipers, Disc/Disc for GM AFX BodyNew887753627872
Add the safety, reliability, and performance of modern disc brakes to your vehicle with this LEED Brakes manual drum-to-disc front brake conversion kit. This system includes everything needed to m...
Description: Add the safety, reliability, and performance of modern disc brakes to your vehicle with this LEED Brakes manual drum-to-disc front brake conversion kit. This system includes everything needed to...More Details »
Item #: BFC1002-FA3X
Condition: New
Price: $1,214.99
Manual Front Disc Brake Kit with Drilled and Slotted Rotors, Black Powder-Coated Calipers, Disc/Disc Side Mount for GM AFXNew887753627797
Upgrade your GM AFX vehicle with the safety, reliability, and performance of a manual front drum-to-disc brake conversion from LEED Brakes. This Disc/Disc side mount kit includes everything require...
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a manual front drum-to-disc brake conversion from LEED Brakes. This Disc/Disc side mount kit includes everything...More Details »
Item #: BFC1002-3A3X
Condition: New
Price: $1,213.99
Manual Front Disc Brake Kit with Drilled and Slotted Rotors, Black Powder-Coated Calipers, Disc/Drum, Side Mount for GM AFXNew887753627780
Upgrade your GM AFX vehicle with the safety, reliability, and performance of a manual front drum-to-disc brake conversion from LEED Brakes. This side mount Disc/Drum kit includes everything require...
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a manual front drum-to-disc brake conversion from LEED Brakes. This side mount Disc/Drum kit includes everything...More Details »
Item #: BFC1002-3A1X
Condition: New
Price: $1,204.99
Manual Front Disc Brake Kit with Drilled and Slotted Rotors, Red Powder-Coated Calipers, and Adjustable Proportioning Valve for GM AFX BodiesNew887753637383
Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete manual front drum-to-disc brake conversion from LEED Brakes. This kit includes everything required to mount r...
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete manual front drum-to-disc brake conversion from LEED Brakes. This kit includes everything required to mount...More Details »
Item #: RFC1002-305X
Condition: New
Price: $1,114.99
Manual Front Disc Brake Kit with Drilled and Slotted Rotors, Red Powder-Coated Calipers, and Disc/Disc Side Mount for GM AFXNew887753637406
Upgrade your GM AFX vehicle with the safety, reliability, and performance of a manual front drum-to-disc brake conversion from LEED Brakes. This Disc/Disc side mount kit includes everything require...
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a manual front drum-to-disc brake conversion from LEED Brakes. This Disc/Disc side mount kit includes everything...More Details »
Item #: RFC1002-3A3X
Condition: New
Price: $1,213.99
Manual Front Disc Brake Kit with Drilled and Slotted Rotors, Red Powder-Coated Calipers, and Disc/Drum for GM AFX BodiesNew887753637475
Add the safety, reliability, and performance of modern disc brakes to your vehicle with this LEED Brakes drum-to-disc front brake conversion kit. This manual front disc brake kit includes everythi...
Description: Add the safety, reliability, and performance of modern disc brakes to your vehicle with this LEED Brakes drum-to-disc front brake conversion kit. This manual front disc brake kit includes...More Details »
Item #: RFC1002-FA1X
Condition: New
Price: $1,214.99
Manual Front Disc Brake Kit with Drilled and Slotted Rotors, Red Powder-Coated Calipers, Chrome Master Cylinder, and Adjustable Proportioning Valve for GM AFXNew887753637437
Upgrade your 1964–1974 GM AFX vehicle with the safety, reliability, and performance of a complete manual drum-to-disc brake conversion from LEED Brakes. This GM AFX manual front disc brake kit in...
Description: Upgrade your 1964–1974 GM AFX vehicle with the safety, reliability, and performance of a complete manual drum-to-disc brake conversion from LEED Brakes. This GM AFX manual front disc brake kit...More Details »
Item #: RFC1002-F05X
Condition: New
Price: $1,164.99
Manual Front Disc Brake Kit with Drilled and Slotted Rotors, Red Powder-Coated Calipers, Disc/Disc for GM AFX BodyNew887753637482
Add the safety, reliability, and performance of modern disc brakes to your vehicle with this LEED Brakes manual drum-to-disc front brake conversion kit. This system includes everything needed to m...
Description: Add the safety, reliability, and performance of modern disc brakes to your vehicle with this LEED Brakes manual drum-to-disc front brake conversion kit. This system includes everything needed to...More Details »
Item #: RFC1002-FA3X
Condition: New
Price: $1,214.99
Manual Front Disc Brake Kit with Drilled and Slotted Rotors, Red Powder-Coated Calipers, Disc/Drum, Side Mount for GM AFXNew887753637390
Upgrade your GM AFX vehicle with the safety, reliability, and performance of a manual front drum-to-disc brake conversion from LEED Brakes. This side mount disc/drum kit includes everything require...
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a manual front drum-to-disc brake conversion from LEED Brakes. This side mount disc/drum kit includes everything...More Details »
Item #: RFC1002-3A1X
Condition: New
Price: $1,204.99
Manual Front Disc Brake Kit with Drilled Rotors and Black Calipers for 1970 Ford Mustang, Ranchero, Torino, or Mercury Cougar, Cyclone, MontegoNew887753640031
Upgrade your 1970 Ford Mustang, Ranchero or Torino, or Mercury Cougar, Cyclone or Montego from front drum to manual disc brakes with this complete LEED Brakes conversion kit. Featuring black powde...
Description: Upgrade your 1970 Ford Mustang, Ranchero or Torino, or Mercury Cougar, Cyclone or Montego from front drum to manual disc brakes with this complete LEED Brakes conversion kit. Featuring black...More Details »
Item #: BFC0003-405X
Condition: New
Price: $1,509.99
Manual Front Disc Brake Kit with Drilled Rotors and Black Powder Coated Calipers for 1971-73 Ford MustangNew887753640093
Upgrade your 1971-1973 Ford Mustang from front drum to manual disc brakes with this complete LEED Brakes conversion kit. Featuring black powder-coated factory-style 4-piston calipers, MaxGrip XDS ...
Description: Upgrade your 1971-1973 Ford Mustang from front drum to manual disc brakes with this complete LEED Brakes conversion kit. Featuring black powder-coated factory-style 4-piston calipers, MaxGrip XDS...More Details »
Item #: BFC0004-405X
Condition: New
Price: $1,514.99
Manual Front Disc Brake Kit with Drilled Rotors and Red Calipers for 1970 Ford Mustang, Ranchero, Torino, or Mercury Cougar, Cyclone, MontegoNew887753640048
Upgrade your 1970 Ford Mustang, Ranchero or Torino, or Mercury Cougar, Cyclone or Montego from front drum to manual disc brakes with this complete LEED Brakes conversion kit. Featuring red powder-...
Description: Upgrade your 1970 Ford Mustang, Ranchero or Torino, or Mercury Cougar, Cyclone or Montego from front drum to manual disc brakes with this complete LEED Brakes conversion kit. Featuring red...More Details »
Item #: RFC0003-405X
Condition: New
Price: $1,509.99
Manual Front Disc Brake Kit with Drilled Rotors and Red Powder Coated Calipers for 1971-73 Ford MustangNew887753640109
Upgrade your 1971-1973 Ford Mustang from front drum to manual disc brakes with this complete LEED Brakes conversion kit. Featuring red powder-coated factory-style 4-piston calipers, MaxGrip XDS cr...
Description: Upgrade your 1971-1973 Ford Mustang from front drum to manual disc brakes with this complete LEED Brakes conversion kit. Featuring red powder-coated factory-style 4-piston calipers, MaxGrip XDS...More Details »
Item #: RFC0004-405X
Condition: New
Price: $1,514.99
Manual Front Disc Brake Kit with MaxGrip Drilled & Slotted Rotors and Adjustable Proportioning Valve for 1962-1967 Chevy II and NovaNew887753633156
Add the safety, reliability, and performance of disc brakes to your vehicle with our drum-to-disc brake conversion. In this kit, you receive everything you need to mount single-piston disc brakes ...
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with our drum-to-disc brake conversion. In this kit, you receive everything you need to mount single-piston disc brakes...More Details »
Item #: FC1006-305X
Condition: New
Price: $1,039.99
Manual Front Disc Brake Kit with MaxGrip XDS Drilled & Slotted Rotors, Black Calipers, Disc/Drum for 1962-1967 Chevy II & NovaNew887753628121
Upgrade your 1962–1967 Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This manual front disc brake con...
Description: Upgrade your 1962–1967 Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This manual front disc brake...More Details »
Item #: BFC1006-3A1X
Condition: New
Price: $1,194.99
Manual Front Disc Brake Kit with MaxGrip XDS Drilled & Slotted Rotors, Black Powder-Coated Calipers, Disc/Disc for 1962-1967 Chevy II & NovaNew887753628138
Upgrade your 1962–1967 Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This manual front disc brake con...
Description: Upgrade your 1962–1967 Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This manual front disc brake...More Details »
Item #: BFC1006-3A3X
Condition: New
Price: $1,194.99
Manual Front Disc Brake Kit with MaxGrip XDS Drilled & Slotted Rotors, Disc/Drum for 1962-67 Chevy II & NovaNew887753633194
Upgrade your 1962–1967 Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This manual front disc brake con...
Description: Upgrade your 1962–1967 Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This manual front disc brake...More Details »
Item #: FC1006-3A1X
Condition: New
Price: $1,119.99
Manual Front Disc Brake Kit with MaxGrip XDS Drilled & Slotted Rotors, Red Calipers, Disc/Disc for 1962-1967 Chevy Nova or Chevy IINew887753637741
Upgrade your 1962–1967 Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This manual front disc brake con...
Description: Upgrade your 1962–1967 Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This manual front disc brake...More Details »
Item #: RFC1006-3A3X
Condition: New
Price: $1,194.99
Manual Front Disc Brake Kit with MaxGrip XDS Drilled & Slotted Rotors, Red Powder-Coated Calipers, Disc/Drum for 1962-1967 Chevy Nova or Chevy IINew887753637734
Upgrade your 1962–1967 Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This manual front disc brake con...
Description: Upgrade your 1962–1967 Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This manual front disc brake...More Details »
Item #: RFC1006-3A1X
Condition: New
Price: $1,194.99
Manual Front Disc Brake Kit with MaxGrip XDS Rotors, Black Powder-Coated Calipers, Chrome Aluminum Master Cylinder, Disc/Disc for 1962-1967 Chevy Nova or Chevy IINew887753628206
Add the safety, reliability, and performance of disc brakes to your vehicle with LEED Brakes' drum to disc brake conversion kit. This front disc brake conversion kit includes everything you need to...
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with LEED Brakes' drum to disc brake conversion kit. This front disc brake conversion kit includes everything you need to...More Details »
Item #: BFC1006-FA3X
Condition: New
Price: $1,254.99
Manual Front Disc Brake Kit with MaxGrip XDS Rotors, Chrome Aluminum Flat Top Master Cylinder, Disc/Disc for 1962-67 Chevy Nova or Chevy IINew887753633729
Add the safety, reliability, and performance of disc brakes to your vehicle with LEED Brakes' drum to disc brake conversion kit. This kit includes everything you need to mount single-piston disc br...
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with LEED Brakes' drum to disc brake conversion kit. This kit includes everything you need to mount single-piston disc...More Details »
Item #: FC1006-FA3X
Condition: New
Price: $1,179.99
Manual Front Disc Brake Kit with MaxGrip XDS Rotors, Red Powder Coated Calipers, and Chrome Aluminum Master Cylinder, Disc/Disc for 1962-67 Chevy II & NovaNew887753637819
Add the safety, reliability, and performance of disc brakes to your vehicle with LEED Brakes' drum to disc brake conversion kit. This front disc brake conversion kit includes everything you need to...
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with LEED Brakes' drum to disc brake conversion kit. This front disc brake conversion kit includes everything you need to...More Details »
Item #: RFC1006-FA3X
Condition: New
Price: $1,254.99
MaxGrip Lite 4 Piston Manual Front Disc Brake Conversion Kit Mopar C BodyNew887753917522
Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit for Mopar C-Body vehicles. This drum-to-manual disc...
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit for Mopar C-Body vehicles. This drum-to-manual disc...More Details »
Item #: FC2006-C05X
Condition: New
Price: $1,894.99
MaxGrip Lite 4 Piston Aluminum Calipers & Rotors | Black Caliper & Rotor Upgrade for 1964-67 MustangNew887753642172
Improve the stopping and appearance of your 1964-67 Ford Mustang Factory D11 Calipers by upgrading to our MaxGrip Lite 4 Piston aluminum black calipers & MaxGrip XDS Drilled & Slotted Rotors! The M...
Description: Improve the stopping and appearance of your 1964-67 Ford Mustang Factory D11 Calipers by upgrading to our MaxGrip Lite 4 Piston aluminum black calipers & MaxGrip XDS Drilled & Slotted Rotors! The...More Details »
Item #: BCC0005RKX
Condition: New
Price: $1,239.99
MaxGrip Lite 4 Piston Aluminum Calipers & Rotors | Caliper & Rotor Upgrade for 1964-67 MustangNew887753642158
Improve the stopping and appearance of your 1964-67 Ford Mustang Factory D11 Calipers by upgrading to our MaxGrip Lite 4 Piston aluminum calipers & MaxGrip XDS Drilled & Slotted Rotors! The MaxGrip...
Description: Improve the stopping and appearance of your 1964-67 Ford Mustang Factory D11 Calipers by upgrading to our MaxGrip Lite 4 Piston aluminum calipers & MaxGrip XDS Drilled & Slotted Rotors! The MaxGrip...More Details »
Item #: CC0005RKX
Condition: New
Price: $1,185.99
MaxGrip Lite 4 Piston Aluminum Calipers & Rotors | Red Caliper & Rotor Upgrade for 1964-67 MustangNew887753642165
Upgrade your 1964-67 Ford Mustang with LEED Brakes MaxGrip Lite 4-Piston Aluminum Calipers and MaxGrip XDS Drilled & Slotted Rotors. Designed as a direct bolt-on replacement for factory D11 front d...
Description: Upgrade your 1964-67 Ford Mustang with LEED Brakes MaxGrip Lite 4-Piston Aluminum Calipers and MaxGrip XDS Drilled & Slotted Rotors. Designed as a direct bolt-on replacement for factory D11 front...More Details »
Item #: RCC0005RKX
Condition: New
Price: $1,239.99
MaxGrip Lite 4 Piston Aluminum Calipers | Caliper Upgrade for 1964-67 MustangNew887753642127
Improve the stopping and appearance of your 1964-67 Ford Mustang Factory D11 Calipers by upgrading to our MaxGrip Lite 4 Piston aluminum calipers! The MaxGrip Lite 4 Piston aluminum calipers are a ...
Description: Improve the stopping and appearance of your 1964-67 Ford Mustang Factory D11 Calipers by upgrading to our MaxGrip Lite 4 Piston aluminum calipers! The MaxGrip Lite 4 Piston aluminum calipers are a...More Details »
Item #: CC0005
Condition: New
Price: $899.99
MaxGrip Lite 4 Piston Aluminum Calipers | Caliper Upgrade for 1964-67 Mustang - Black CalipersNew887753642141
Improve the stopping and appearance of your 1964-67 Ford Mustang Factory D11 Calipers by upgrading to our MaxGrip Lite 4 Piston aluminum calipers! The MaxGrip Lite 4 Piston aluminum calipers are a ...
Description: Improve the stopping and appearance of your 1964-67 Ford Mustang Factory D11 Calipers by upgrading to our MaxGrip Lite 4 Piston aluminum calipers! The MaxGrip Lite 4 Piston aluminum calipers are a...More Details »
Item #: BCC0005
Condition: New
Price: $974.99
MaxGrip Lite 4 Piston Aluminum Calipers | Caliper Upgrade for 1964-67 Mustang - Red CalipersNew887753642134
Improve the stopping and appearance of your 1964-67 Ford Mustang Factory D11 Calipers by upgrading to LEED Brakes' MaxGrip Lite 4 Piston aluminum brake calipers! These MaxGrip Lite 4 Piston aluminu...
Description: Improve the stopping and appearance of your 1964-67 Ford Mustang Factory D11 Calipers by upgrading to LEED Brakes' MaxGrip Lite 4 Piston aluminum brake calipers! These MaxGrip Lite 4 Piston...More Details »
Item #: RCC0005
Condition: New
Price: $974.99
MaxGrip Lite 4 Piston Caliper & Rotor Kit for GM AFX Body - AnodizedNew887753918222
Upgrade your classic GM AFX-Body vehicle with a high-performance LEED Brakes Front Disc Brake Conversion Kit . This premium front caliper and rotor kit is engineered to deliver improved stopping ...
Description: Upgrade your classic GM AFX-Body vehicle with a high-performance LEED Brakes Front Disc Brake Conversion Kit . This premium front caliper and rotor kit is engineered to deliver improved stopping...More Details »
Item #: CC1008RKX
Condition: New
Price: $1,499.95
MaxGrip Lite 4 Piston Caliper & Rotor Kit for GM AFX Body - Black Powder CoatNew887753918239
Upgrade your GM AFX-Body with the LEED Brakes MaxGrip Lite Front Disc Brake Kit, engineered to deliver exceptional stopping power, improved brake pedal feel, and long-lasting reliability. This com...
Description: Upgrade your GM AFX-Body with the LEED Brakes MaxGrip Lite Front Disc Brake Kit, engineered to deliver exceptional stopping power, improved brake pedal feel, and long-lasting reliability. This...More Details »
Item #: BCC1008RKX
Condition: New
Price: $1,599.95
MaxGrip Lite 4 Piston Caliper & Rotor Kit for GM AFX Body - Red Powder CoatNew887753918246
Introducing LEED Brakes' premium front caliper & rotor kit, engineered to deliver a significant boost in stopping performance and reliability for your vehicle. This comprehensive kit provides ever...
Description: Introducing LEED Brakes' premium front caliper & rotor kit, engineered to deliver a significant boost in stopping performance and reliability for your vehicle. This comprehensive kit provides...More Details »
Item #: RCC1008RKX
Condition: New
Price: $1,599.95
MaxGrip Lite 4 Piston Caliper Kit for GM AFX Body - AnodizedNew887753918192
Upgrade your vehicle's braking performance with the LEED Brakes premium front caliper kit. Designed as a direct bolt-on upgrade, this kit delivers improved stopping power, reliability, and long-la...
Description: Upgrade your vehicle's braking performance with the LEED Brakes premium front caliper kit. Designed as a direct bolt-on upgrade, this kit delivers improved stopping power, reliability, and...More Details »
Item #: CC1008
Condition: New
Price: $1,299.95
MaxGrip Lite 4 Piston Caliper Kit for GM AFX Body - Black Powder CoatNew887753918208
Introducing our premium front caliper kit, engineered to deliver a significant boost in stopping performance and reliability for your vehicle. This comprehensive kit provides everything you need f...
Description: Introducing our premium front caliper kit, engineered to deliver a significant boost in stopping performance and reliability for your vehicle. This comprehensive kit provides everything you need...More Details »
Item #: BCC1008
Condition: New
Price: $1,399.95
MaxGrip Lite 4 Piston Caliper Kit for GM AFX Body - Red Powder CoatNew887753918215
Upgrade your vehicle's braking performance with the LEED Brakes MaxGrip Lite 4-Piston Front Caliper Kit. Engineered for improved stopping power, reliability, and durability, this complete front di...
Description: Upgrade your vehicle's braking performance with the LEED Brakes MaxGrip Lite 4-Piston Front Caliper Kit. Engineered for improved stopping power, reliability, and durability, this complete front...More Details »
Item #: RCC1008
Condition: New
Price: $1,399.95
MaxGrip Lite 4 Piston Disc Brake Conversion Kit for GM AFX Body - 2 Inch Drop Spindles - AnodizedNew887753640741
Introducing our premium front disc brake conversion kit, engineered to deliver a significant boost in stopping performance and reliability for your vehicle. This comprehensive kit provides everyth...
Description: Introducing our premium front disc brake conversion kit, engineered to deliver a significant boost in stopping performance and reliability for your vehicle. This comprehensive kit provides...More Details »
Item #: FC1009SMX
Condition: New
Price: $1,799.95
MaxGrip Lite 4 Piston Disc Brake Conversion Kit for GM AFX Body - 2 Inch Drop Spindles - Black Powder CoatedNew887753917904
Introducing our premium front disc brake conversion kit, engineered to deliver a significant boost in stopping performance and reliability for your vehicle. This comprehensive kit provides everyth...
Description: Introducing our premium front disc brake conversion kit, engineered to deliver a significant boost in stopping performance and reliability for your vehicle. This comprehensive kit provides...More Details »
Item #: BFC1009SMX
Condition: New
Price: $1,899.95
MaxGrip Lite 4 Piston Disc Brake Conversion Kit for GM AFX Body - 2 Inch Drop Spindles - Red Powder CoatedNew887753917911
Introducing our premium front disc brake conversion kit, engineered to deliver a significant boost in stopping performance and reliability for your vehicle. This comprehensive kit provides everyth...
Description: Introducing our premium front disc brake conversion kit, engineered to deliver a significant boost in stopping performance and reliability for your vehicle. This comprehensive kit provides...More Details »
Item #: RFC1009SMX
Condition: New
Price: $1,899.95
MaxGrip Lite 4 Piston Front Disc Brake Conversion 1960-1968 full-size Ford or Mercury for factory Power Brake Cars - Black CalipersNew887753645388
Upgrade your classic full-size Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes, designed specifically for vehicles equipped with factory power brakes. ...
Description: Upgrade your classic full-size Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes, designed specifically for vehicles equipped with factory power brakes....More Details »
Item #: BFC0026-405PX
Condition: New
Price: $2,074.99
MaxGrip Lite 4 Piston Front Disc Brake Conversion 1960-68 Full-Size Ford & Mercury for factory Power Brake CarsNew887753645500
Upgrade your classic 1960-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes, designed specifically for vehicles equipped with factory powe...
Description: Upgrade your classic 1960-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes, designed specifically for vehicles equipped with factory...More Details »
Item #: FC0026-405PX
Condition: New
Price: $1,999.99
MaxGrip Lite 4 Piston Front Disc Brake Conversion 1960-68 Full-Size Ford & Mercury for factory Power Brake Cars - Red CalipersNew887753645449
Upgrade your classic full-size Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes, designed specifically for vehicles equipped with factory power brakes. ...
Description: Upgrade your classic full-size Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes, designed specifically for vehicles equipped with factory power brakes....More Details »
Item #: RFC0026-405PX
Condition: New
Price: $2,074.99
MaxGrip Lite 4 Piston Front Disc Brake Conversion 1963-69 Ford & Mercury | Spindle Mount | Black CalipersNew887753641793
Upgrade your classic Ford or Mercury with a front disc brake conversion kit from LEED Brakes. This spindle-mount disc brake conversion kit includes everything needed to mount USA-made MaxGrip Lite ...
Description: Upgrade your classic Ford or Mercury with a front disc brake conversion kit from LEED Brakes. This spindle-mount disc brake conversion kit includes everything needed to mount USA-made MaxGrip Lite...More Details »
Item #: BFC0005SMX
Condition: New
Price: $1,699.99
MaxGrip Lite 4 Piston Front Disc Brake Conversion 1963-69 Ford & Mercury | Spindle Mount | Red CalipersNew887753641786
Upgrade your classic Ford or Mercury with a front disc brake conversion kit from LEED Brakes. This 1963-1969 Ford and Mercury disc brake conversion kit includes everything needed to mount USA-made ...
Description: Upgrade your classic Ford or Mercury with a front disc brake conversion kit from LEED Brakes. This 1963-1969 Ford and Mercury disc brake conversion kit includes everything needed to mount USA-made...More Details »